#!/usr/bin/perl

while (<STDIN>) {
	last if /^\\begin\{document\}$/
}

while (<STDIN>) {
	s/(^|\W)"(\w+)"($|\W)/$1``$2''$3/g; s/(^|\W)'(\w+')($|\W)/$1`$2$3/g;
	if (/^\\subsection\*\{([^}]*)\}$/) { 
		$name = $1;
		last
	}
}

while (<STDIN>) {
	s/(^|\W)"(\w+)"($|\W)/$1``$2''$3/g; s/(^|\W)'(\w+')($|\W)/$1`$2$3/g;
	if (/^\\subsubsection\*\{([^}]*)\}$/) { 
		$author = $1;
		last 
	}
}

print "$name\n$author\n";

while(<STDIN>) {
	chop;
	s/(^|\W)"(\w+)"($|\W)/$1``$2''$3/g; s/(^|\W)'(\w+')($|\W)/$1`$2$3/g;
	unless (/^\s*(\\par)?\s*$/) {
		print "$_\n"; 
		last 
	}
}

while (<STDIN>) {
	s/(^|\W)"(\w+)"($|\W)/$1``$2''$3/g; s/(^|\W)'(\w+')($|\W)/$1`$2$3/g;
	s/\\(begin|end)\{(itemize|description|enumerate)\}/\\$1\{$2\*}/g;
	s@((?:https?|ftp)://[\-\.\,/%~_:?\#\\a-zA-Z0-9=]+)@\\url{$1}$2@g;
	s@(\\url{(?:https?|ftp):.*)\.}@$1}.@g;
	
	print unless /^\\end\{document\}$/
}

